PLAINBOX-STARTPROVIDER(1)

NAME
plainbox-startprovider - create a new plainbox provider

SYNOPSIS

        plainbox startprovider [-h] [--empty] name

DESCRIPTION

Creates a new provider from a built-in skeleton.

The name of the provider must follow the pattern ``YYYY.example.org:name`` where ``YYYY`` is a four-digit year when the author of the provider owned the domain (here, ``example.org``) and ``name`` is arbitrary identifier that is managed by the owner of that domain. The identifier should be constrained to ASCII, digits and the dash character.

This naming scheme allows anyone that ever owned a domain name to come up with non-clashing provider identifiers. Those identifiers are going to be used in fully qualified names of various objects.

This command creates a new skeleton test provider for PlainBox. The generated content should be edited to fit a particular purpose.

OPTIONS

Positional arguments:

    provider name, eg: YYYY.example.org:some-name

Optional arguments:

    --empty
        create an empty provider

ABOUT NAMING PROVIDERS

Plainbox tries to be intuitive where possible but provider names keep causing issues and make people struggle with coming up with correct and good names. See plainbox-provider-names for a detailed discussion of provider names.

AUTHOR
Zygmunt Krynicki & Checkbox Contributors

COPYRIGHT
2012-2014 Canonical Ltd